Subject: Re: [PATCH] diff: setup pager only before diff contents truly ready

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Dec 2024 14:33:02 +0900

Jeff King <[email-masked]> writes:

> On Mon, Nov 18, 2024 at 09:55:06AM +0900, Junio C Hamano wrote:
>
>> Taylor Blau <[email-masked]> writes:
>> 
>> >> You'd need to identify all of the possible diff code paths in order to
>> >> add tests for them, which is the same thing you had to do to fix the
>> >> code paths. I was mostly just commenting that we're not likely to be
>> >> able to rely on existing tests to help us here.
>> >>
>> >> It might be worth adding a test that shows off your improved diff
>> >> behavior, though I would be OK if it was a representative command and
>> >> not exhaustive. I think adding to t7006 should be fine.
>> >
>> > Agreed.
>> 
>> It seems that this topic is waiting for a reroll?
>
> I think we could go either way. I outlined a few further possible steps,
> but there is no need to hold up this first step. The only question is
> whether or not to add a single test to show off and protect the
> improvement.

Hmph, a few messages upthread
<UZMh2lyzbLOgsf0PXfMnq6HnWVnCK3y36jY3IMKUykPi74ztNucf8bgywoeO0DdeApq31JDDGMZiEya99zAcI3l8y_zcVqiN8FpEnT1DRZU=@proton.me>
(Ugh, why do some MUAs or mail providers use such an overly long
message ID, Yuck) was where I got the impression that we were
waiting for a reroll.

I am not all that convinced that sprinkling setup_diff_pager() call
all over the place is a good idea from longer-term maintainability's
sake to begin with, by the way.  What problem are we really solving?
Folks who run "git diff --no-such-option" see "behaviour inconsistency"?
All I see is "error: invalid option: --invalid" followed by a help message,
which is quite expected.

So, I donno.

Thanks.